﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Crm4ScriptExtractor.DataAccess
{
    class ScriptDataWriterFactory
    {
        private const string ExtXlsx = ".xlsx";

        public static IScriptDataWriter CreateFileWriter(string filename)
        {
            //return new CSVScriptWriter(filename);
            string ext = System.IO.Path.GetExtension(filename);
            if (ExtXlsx.Equals(ext, StringComparison.InvariantCultureIgnoreCase))
            {
                return new SpreadsheetScriptWriter(filename);
            }
            else
            {
                return new CSVScriptWriter(filename);
            }
        }
    }
}
