﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Crm4ScriptExtractor.Service;
using Crm4ScriptExtractor.Model;
using System.Diagnostics;

namespace Crm4ScriptExtractor
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                ValidateArgs(args);
                ExtractScriptService extractor = new ExtractScriptService();
                ScriptDataModel model = extractor.ExtractScripts(args[0]);
                ScriptDataOutputService writer = new ScriptDataOutputService();
                writer.OutputData(model, args[1]);
                Console.WriteLine("Complete");
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error occurred");
                Console.WriteLine(ex.Message);
                Console.WriteLine(ex.StackTrace);
            }
        }
        static void ValidateArgs(string[] args)
        {
            if (args.Length != 2)
            {
                Console.WriteLine("引数が不正です。カスタマイズXMLファイル 出力ファイル の順で引数に指定してください。");
                Console.WriteLine("使用例：");
                string template = "{0} customizations.xml {1}";
                Console.WriteLine(string.Format(template, Process.GetCurrentProcess().ProcessName, "result.xlsx"));
                Console.WriteLine(string.Format(template, Process.GetCurrentProcess().ProcessName, "result.csv"));
                System.Environment.Exit(1);
            }

            if (!System.IO.File.Exists(args[0]))
            {
                Console.WriteLine(string.Format("カスタマイズファイル:{0}は存在しません。", args[0]));
                System.Environment.Exit(2);
            }
        }
    }
}
